<br>
<div class="container bg-secondary">
  <h4 class="text-light text-center">Listado de Asignación de proveedores</h4>
  <div class="table-responsive">
    <button class="btn btn-success text-light m-1" (click)="onGoToNew()">Agregar</button>  <button class="btn btn-info text-light m-1" routerLink="/provasig/status/list">Agregar Estatus</button>
    <table class="table table-primary">
      <thead>
        <tr>
          <th scope="col">Material</th>
          <th scope="col">Proveedor</th>
          <th scope="col">Precio unitario</th>
          <th scope="col">Vigencia</th>
          <th scope="col">Acciones</th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let item of maestros$ | async">
          <td>{{item.material_id}}</td>
          <td>{{item.proveedor_id}}</td>
          <td>{{item.p_unitario}}</td>
          <td>{{item.vigencia}}</td>
          <td>
            <button type="button" class="btn btn-warning m-1" (click)="onGoToEdit(item)"><b>Editar</b></button>
            <button type="button" class="btn btn-danger m-1" (click)="onGoToDelete(item.id)"><b>Eliminar</b></button>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</div>
